Bug 12872 - Disk Druid "Allocation Failed, Reason: Allocation Succeeded"
Summary: Disk Druid "Allocation Failed, Reason: Allocation Succeeded"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brock Organ
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-23 18:45 UTC by Brent Nordquist
Modified: 2007-04-18 16:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-11 12:45:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brent Nordquist 2000-06-23 18:45:59 UTC
Using Disk Druid on a system with only one drive (hda in my case):

Click "Add" to add a new partition.

Use ONLY keyboard to fill out the dialog box:
   Mount Point:       /usr<tab>
   Size (Megs):       2048<tab><tab><tab>
   Allowable Drives:  <space><tab>
   OK                 <space>
(Note how the space bar deselects the only Allowable Drive)

Error dialog:
   There are currently unallocated partition(s)...
   /usr               Allocation Succeeded
(Note how the /usr partition shows up in red.)

Highlight /usr and click "Edit" to edit the partition.

Dialog shows:
   Allocation Status: Failed
   Failure Reason:    Allocation Succeeded

So, we successfully failed.  :-)  Seriously, I think the bug here is that, 
just as you can't deselect the last drive using the mouse, you shouldn't 
be able to with the keyboard either.

Comment 1 Michael Fulbright 2000-06-29 19:52:01 UTC
Fixed in internal build.

Comment 2 Brent Nordquist 2000-07-11 12:45:49 UTC
Confirmed fixed in Winston Beta-3.  A dialog appears if you try to leave the 
screen with no drives selected.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.